Bug 187696 - Automount of USB devices is broken
Automount of USB devices is broken
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-02 17:15 EDT by Brian McGuinness
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:40:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
actual file is without leading back- (183 bytes, text/plain)
2006-11-15 21:57 EST, Leslie Satenstein
no flags Details

  None (edit)
Description Brian McGuinness 2006-04-02 17:15:36 EDT
Description of problem:
Under System / Preferences / Removable drives and media the following are checked:
* Mount removable devices when hotplugged
* Mount removable media when inserted
* Browse removable media when inserted

I am not using SELinux.

When I plug in a USB pen drive or hard drive, the partitions are not mounted
under /media, nor do they show up on the desktop, until I go into Nautilus and
click on them.  I didn't have to do this under Fedora Core 4.


Version-Release number of selected component (if applicable):
Linux cytherea.localdomain 2.6.16-1.2080_FC5 #1 Tue Mar 28 03:38:34 EST 2006
i686 i686 i386 GNU/Linux

How reproducible:
Plug a pen drive or hard drive into a USB port.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
see above

Expected results:
see above

Additional info:
Comment 1 Dave Jones 2006-10-16 14:51:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Leslie Satenstein 2006-11-13 19:54:07 EST
I currently have fedora core 6 smb installed and have the same problem. I can
automount cd / dvds, but not a usb scandisk or similar drive.

My configuration is
Linux localhost.localdomain 2.6.18-1.2849.fc6xen #1 SMP Fri Nov 10 13:56:52 EST
2006 i686 i686 i386 GNU/Linux
I have 1 gig of memory

from chkconfig autofs          0:off   1:off   2:off   3:on    4:on    5:on    6:off
autofs-5.0.1-0.rc2.22


Comment 3 Leslie Satenstein 2006-11-15 21:57:46 EST
Created attachment 141335 [details]
actual file is without leading back-

contents of file that prevents automount of flashdrives
Comment 4 Dave Jones 2006-11-20 20:17:19 EST
where did this file come from ?
Comment 5 Matthew Miller 2007-04-06 13:41:28 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Jon Stanley 2008-01-19 23:40:31 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.